=== debian/changelog ===
kdepim (4:4.13.3-0ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: Send Later with Delay bypasses OpenPGP (LP: #1698180):
    - fix-CVE-2017-9604.patch
    - CVE-2017-9604

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Mar 2018 11:02:11 -0500

kdepim (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:26:09 +0200

kdepim (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:47:46 +0200

kdepim (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)
    - Add kubuntu_revert_9fed45112711cf203a03ba3b3ed5ca0ee796c836.diff and
      kubuntu_revert_e6ebd9b593dfd366b8c57932cc3167a8a3ec5b3b.diff to prevent
      the removal of libgrammar4 and libpimactivity4

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:50:43 +0200
